<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII:  File sorgente fileIO.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li><a href="annotated.html"><span>Classi</span></a></li>
      <li class="current"><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>Elenco&#160;dei&#160;file</span></a></li>
      <li><a href="globals.html"><span>Elementi&#160;dei&#160;file</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">fileIO.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="fileIO_8h.html">Vai alla documentazione di questo file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="dati_8h.html">dati.h</a>&quot;</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="statistiche_8h.html">statistiche.h</a>&quot;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="fileIO_8h.html#af634eaea3e8d6945256dd6d939a42421">load_immagini</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> img_sfondo[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_pg[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_col_dx[], </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span> img_col_sx[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_lan_dx[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_lan_sx[],</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span> img_spada_dx[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_spada_sx[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_col_hud[], </div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span> img_hp_hud[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_npc_hud[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_pausa[], </div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span> img_dir_dx[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_dir_sx[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_spdc[],</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;                    <span class="keyword">const</span> <span class="keywordtype">char</span> img_tank[], <span class="keyword">const</span> <span class="keywordtype">char</span> img_insg[]);</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<a class="code" href="structhighscore.html">highscore</a>* <a class="code" href="fileIO_8h.html#ab3582169589d82ea8b470bb1af40d8d5">leggi_highscores</a>(<span class="keywordtype">int</span> &amp;i);</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="fileIO_8h.html#a5edad6f7bb48baad760ef4cc64f09f04">salva_risultati</a>(<a class="code" href="structhighscore.html">highscore</a> h);</div><div class="ttc" id="statistiche_8h_html"><div class="ttname"><a href="statistiche_8h.html">statistiche.h</a></div></div>
<div class="ttc" id="fileIO_8h_html_af634eaea3e8d6945256dd6d939a42421"><div class="ttname"><a href="fileIO_8h.html#af634eaea3e8d6945256dd6d939a42421">load_immagini</a></div><div class="ttdeci">bool load_immagini(const char img_sfondo[], const char img_pg[], const char img_col_dx[], const char img_col_sx[], const char img_lan_dx[], const char img_lan_sx[], const char img_spada_dx[], const char img_spada_sx[], const char img_col_hud[], const char img_hp_hud[], const char img_npc_hud[], const char img_pausa[], const char img_dir_dx[], const char img_dir_sx[], const char img_spdc[], const char img_tank[], const char img_insg[])</div><div class="ttdoc">Funzione che carica tutte le immagini di gioco (i nomi indicati nei parametri) dalla cartella img/...</div><div class="ttdef"><b>Definition:</b> fileIO.cc:22</div></div>
<div class="ttc" id="structhighscore_html"><div class="ttname"><a href="structhighscore.html">highscore</a></div><div class="ttdoc">Struttura dati che associa un nome di 3 caratteri ad un punteggio numerico intero. </div><div class="ttdef"><b>Definition:</b> statistiche.h:31</div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="fileIO_8h_html_a5edad6f7bb48baad760ef4cc64f09f04"><div class="ttname"><a href="fileIO_8h.html#a5edad6f7bb48baad760ef4cc64f09f04">salva_risultati</a></div><div class="ttdeci">bool salva_risultati(highscore h)</div><div class="ttdoc">Funzione che inserisce il punteggio h, passato come parametro, all&amp;#39;interno del file highscores...</div><div class="ttdef"><b>Definition:</b> fileIO.cc:124</div></div>
<div class="ttc" id="fileIO_8h_html_ab3582169589d82ea8b470bb1af40d8d5"><div class="ttname"><a href="fileIO_8h.html#ab3582169589d82ea8b470bb1af40d8d5">leggi_highscores</a></div><div class="ttdeci">highscore * leggi_highscores(int &amp;i)</div><div class="ttdoc">Funzione che legge i punteggi migliori dal file highscores.sav, e li ritorna in un array di i element...</div><div class="ttdef"><b>Definition:</b> fileIO.cc:100</div></div>
<div class="ttc" id="dati_8h_html"><div class="ttname"><a href="dati_8h.html">dati.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
